OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_PointOnSurface Class Reference

`#include <StepGeom_PointOnSurface.hxx>`

Inheritance diagram for StepGeom_PointOnSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_PointOnSurface ()
| Returns a PointOnSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Standard_Real aPointParameterU, const Standard_Real aPointParameterV)
Standard_EXPORT void | SetBasisSurface (const Handle(StepGeom_Surface)&aBasisSurface)
Standard_EXPORT Handle_StepGeom_Surface | BasisSurface () const
Standard_EXPORT void | SetPointParameterU (const Standard_Real aPointParameterU)
Standard_EXPORT Standard_Real | PointParameterU () const
Standard_EXPORT void | SetPointParameterV (const Standard_Real aPointParameterV)
Standard_EXPORT Standard_Real | PointParameterV () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | basisSurface
Standard_Real | pointParameterU
Standard_Real | pointParameterV

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_PointOnSurface::StepGeom_PointOnSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepGeom_PointOnSurface::BasisSurface | ( |  | ) | const

Standard_EXPORT const StepGeom_PointOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Point.

virtual Standard_EXPORT void StepGeom_PointOnSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Standard_Real | aPointParameterU,
|  | const Standard_Real | aPointParameterV
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_PointOnSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Real StepGeom_PointOnSurface::PointParameterU | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_PointOnSurface::PointParameterV | ( |  | ) | const

Standard_EXPORT void StepGeom_PointOnSurface::SetBasisSurface | ( | const Handle(StepGeom_Surface)& | aBasisSurface | ) |

Standard_EXPORT void StepGeom_PointOnSurface::SetPointParameterU | ( | const Standard_Real | aPointParameterU | ) |

Standard_EXPORT void StepGeom_PointOnSurface::SetPointParameterV | ( | const Standard_Real | aPointParameterV | ) |

## Field Documentation

Handle_StepGeom_Surface StepGeom_PointOnSurface::basisSurface`[private]`

Standard_Real StepGeom_PointOnSurface::pointParameterU`[private]`

Standard_Real StepGeom_PointOnSurface::pointParameterV`[private]`

The documentation for this class was generated from the following file:

- StepGeom_PointOnSurface.hxx